### Method

# EDataServer SourceCollection get_allow_sources_rename

since: 3.36

#### Declaration [src]

    gboolean
    e_source_collection_get_allow_sources_rename (
      ESourceCollection* extension
    )

#### Description [src]

Returns whether the collection backend allows a user to rename child sources. It is meant mainly for GUI. The default is `FALSE`.

Available since: 3.36

Gets property | `EDataServer.SourceCollection:allow-sources-rename`

#### Return value

Type: `gboolean`

Whether the collection backend allows a user to rename child sources.